// package constants
const DISPLAY_NAME   = "Yahoo! Mail Notifier";
const NAME           = "ym_notifier";
const KEY            = "/ym_notifier";
const VERSION        = "0.9.2";
const LOCALE_LIST    = ["en-US", "es-ES", "fr-FR", "it-IT", "tr-TR", "zh-CN", "zh-TW"];
const JAR_FILE       = NAME + ".jar";
const PREFS_FILE     = "defaults/preferences/" + NAME + ".js";

const CONTENT_FOLDER = "content/" + NAME + "/";

var err = null;

// begin the install
initInstall(NAME, KEY, VERSION);
  
var mainDir = getFolder("Profile", "extensions/" + "{89f8dde0-010a-11da-8cd6-0800200c9a66}");
var chromeDir = getFolder(mainDir, "chrome");

addFile(KEY, VERSION, "chrome/"+JAR_FILE, chromeDir, null);

// Add the defaults folder
var defaultDir = getFolder(mainDir, "defaults");
addDirectory(KEY, VERSION, "defaults", defaultDir, null);
defaultDir = getFolder(getFolder("Program", "defaults"),"pref");
addFile(KEY, VERSION, PREFS_FILE, defaultDir, null);

// Register the chrome URLs
registerChrome(Install.CONTENT | PROFILE_CHROME, getFolder(chromeDir, JAR_FILE), "content/");
registerChrome(Install.SKIN | PROFILE_CHROME, getFolder(chromeDir, JAR_FILE), "skin/classic/");

for (var x = 0; x < LOCALE_LIST.length; x++)
  registerChrome(Install.LOCALE | PROFILE_CHROME, getFolder(chromeDir, JAR_FILE), "locale/"+LOCALE_LIST[x]+"/");

// Now install..
if (getLastError() == SUCCESS) {
  err = performInstall();
  if ((err == SUCCESS) || (err == 999))
    alert(DISPLAY_NAME + " " + VERSION + " has been installed successfully!\nPlease restart to enable the extension.");
}
else
  cancelInstall();